Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortalSignOn

public interface PortalSignOn
extends BaseEJBObject

EJB interface for the PortalSignOn.

Method Summary
`java.lang.String` | `getPortalName()` Get portal name.
`java.lang.String` | `getSystemName()` Get system name.
`java.lang.String` | `getSystemPassword()` Get system password.
`java.lang.String` | `getSystemUserId()` Get system user id.
`java.lang.String` | `getUserId()` Get user id.
`void` | `setSystemPassword(java.lang.String aPassword)` Set system password.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getUserId

    public java.lang.String getUserId()
                               throws java.rmi.RemoteException

  Get user id.
  Returns:
    `String` the user id.
  Throws:
    `RemoteException` -

### getSystemName

    public java.lang.String getSystemName()
                                   throws java.rmi.RemoteException

  Get system name.
  Returns:
    `String` the system name.
  Throws:
    `RemoteException` - container error.

### getPortalName

    public java.lang.String getPortalName()
                                   throws java.rmi.RemoteException

  Get portal name.
  Returns:
    `String` the portal name.
  Throws:
    `RemoteException` - container error.

### getSystemUserId

    public java.lang.String getSystemUserId()
                                     throws java.rmi.RemoteException

  Get system user id.
  Returns:
    `String` the system user id.
  Throws:
    `RemoteException` - container error.

### getSystemPassword

    public java.lang.String getSystemPassword()
                                       throws java.rmi.RemoteException

  Get system password.
  Returns:
    `String` the system password.
  Throws:
    `RemoteException` - container error.

### setSystemPassword

    public void setSystemPassword(java.lang.String aPassword)
                           throws java.rmi.RemoteException

  Set system password.
  Parameters:
    `aPassword` - the password.
  Throws:
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved